---

#! /db/releases/20241211151937/lkp-src/jobs/stream.yaml
suite: stream
testcase: stream
category: benchmark
nr_threads: 50%
iterations: 10x
stream:
  array_size: 50000000
  omp: false
  loop: 100
job_origin: stream.yaml
arch: x86_64

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-skl-d02
tbox_group: lkp-skl-d02
branch: linus/master
commit: ea9cffc0a154124821531991d5afdd7e8b20d7aa
repeat_to: 3
job_file: "/lkp/jobs/scheduled/lkp-skl-d02/stream-50000000-performance-10x-100-50%-debian-12-x86_64-20240206.cgz-ea9cffc0a154-20241213-160799-bpd5jz-2.yaml"
id: 05a220703b3247541271e4324a8546f00f3cd591
queuer_version: "/zday/lkp"

#! /db/releases/20241212224558/lkp-src/hosts/lkp-skl-d02
model: Skylake
nr_cpu: 4
memory: 32G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/wwn-0x5000c500746fa0cc-part*"
ssd_partitions: "/dev/disk/by-id/wwn-0x55cd2e41514d5105-part2"
rootfs_partition: "/dev/disk/by-id/wwn-0x55cd2e41514d5105-part1"
brand: Intel(R) Core(TM) i5-6500 CPU @ 3.20GHz
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- SATA_AHCI
- DRM_I915
ucode: '0xf0'

#! /db/releases/20241212224558/lkp-src/include/category/benchmark

#! /db/releases/20241212224558/lkp-src/include/category/ALL
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-9.4
enqueue_time: 2024-12-13 21:45:48.431199134 +08:00
compiler: gcc-12
_rt: "/result/stream/50000000-performance-10x-100-50%/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/ea9cffc0a154124821531991d5afdd7e8b20d7aa"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/src"
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stream/50000000-performance-10x-100-50%/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/ea9cffc0a154124821531991d5afdd7e8b20d7aa/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/ea9cffc0a154124821531991d5afdd7e8b20d7aa/vmlinuz-6.13.0-rc1-00004-gea9cffc0a154
- branch=linus/master
- job=/lkp/jobs/scheduled/lkp-skl-d02/stream-50000000-performance-10x-100-50%-debian-12-x86_64-20240206.cgz-ea9cffc0a154-20241213-160799-bpd5jz-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=ea9cffc0a154124821531991d5afdd7e8b20d7aa
- intremap=posted_msi
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/ea9cffc0a154124821531991d5afdd7e8b20d7aa/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/stream_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/stream-x86_64-4dbce1d-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: lkp-wsx01

#! /db/releases/20241212224558/lkp-src/include/site/lkp-wsx01
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-d02/stream-50000000-performance-10x-100-50%-debian-12-x86_64-20240206.cgz-ea9cffc0a154-20241213-160799-bpd5jz-2.cgz"
last_kernel: 6.13.0-rc2
acpi_rsdp: '0x000f05b0'

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/ea9cffc0a154124821531991d5afdd7e8b20d7aa/vmlinuz-6.13.0-rc1-00004-gea9cffc0a154"
result_root: "/result/stream/50000000-performance-10x-100-50%/lkp-skl-d02/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/ea9cffc0a154124821531991d5afdd7e8b20d7aa/0"
dequeue_time: 2024-12-13 22:10:54.955360357 +08:00
job_state: finished
loadavg: 0.87 0.73 0.35 1/148 5038
start_time: '1734099169'
end_time: '1734099408'
version: "/lkp/lkp/.src-20241212-153134:39764b117979:42c8d5d500c7"
